petsc-3.13.6 2020-09-29
Report Typos and Errors

# TaoADMMSetRegularizerCoefficient

Set the regularization coefficient lambda for L1 norm regularization case

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetRegularizerCoefficient(Tao tao, PetscReal lambda)

Collective on Tao

### Input Parameters

| tao | - the Tao solver context
| lambda | - L1-norm regularizer coefficient

### See Also

TaoADMMSetMisfitConstraintJacobian(), TaoADMMSetRegularizerConstraintJacobian(), TAOADMM

### Level

advanced

### Location

src/tao/constrained/impls/admm/admm.c

### Examples

src/tao/constrained/tutorials/tomographyADMM.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages